CGAL 6.1.2 - Surface Mesh: I/O Functions (Deprecated)

CGAL 6.1.2 - Surface Mesh

Loading...
Searching...
No Matches
Functions
I/O Functions (Deprecated)
Surface Mesh Reference » I/O Functions

##

## Functions
template<typename K >
bool | CGAL::read_mesh (Surface_mesh< K > &sm, const std::string &filename)
template<typename K >
bool | CGAL::write_mesh (const Surface_mesh< K > &mesh, const std::string &filename)
template<typename Point >
int | CGAL::read_3mf (const std::string &filename, std::vector< CGAL::Surface_mesh< Point > > &output)
template<typename Point , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_off (std::istream &is, Surface_mesh< Point > &sm, const NamedParameters &np=parameters::default_values())
template<typename Point >
bool | CGAL::read_off (Surface_mesh< Point > &sm, const std::string &filename)
template<typename Point , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_off (std::ostream &os, const Surface_mesh< Point > &sm, const NamedParameters &np=parameters::default_values())
template<typename Point >
bool | CGAL::write_off (const Surface_mesh< Point > &sm, const std::string &filename)
template<typename P >
bool | CGAL::read_ply (std::istream &is, Surface_mesh< P > &sm, std::string &comments)
template<typename P >
bool | CGAL::write_ply (std::ostream &os, const Surface_mesh< P > &sm, const std::string &comments)

## Function Documentation

## ◆ read_3mf()

template<typename Point >

int CGAL::read_3mf | ( | const std::string & | filename,
|  | std::vector< CGAL::Surface_mesh< Point > > & | output
| ) |  |

`#include <CGAL/Surface_mesh/IO/3MF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_3MF()` should be used instead.

## ◆ read_mesh()

template<typename K >

bool CGAL::read_mesh | ( | Surface_mesh< K > & | sm,
|  | const std::string & | filename
| ) |  |

`#include <CGAL/Surface_mesh/IO.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_polygon_mesh()` should be used instead.

## ◆ read_off() [1/2]

template<typename Point , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_off | ( | std::istream & | is,
|  | Surface_mesh< Point > & | sm,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/Surface_mesh/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF(std::istream&, const Surface_mesh<Point>&)` should be used instead.

## ◆ read_off() [2/2]

template<typename Point >

bool CGAL::read_off | ( | Surface_mesh< Point > & | sm,
|  | const std::string & | filename
| ) |  |

`#include <CGAL/Surface_mesh/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF(std::istream&, const Surface_mesh<Point>&)` should be used instead.

## ◆ read_ply()

template<typename P >

bool CGAL::read_ply | ( | std::istream & | is,
|  | Surface_mesh< P > & | sm,
|  | std::string & | comments
| ) |  |

`#include <CGAL/Surface_mesh/IO/PLY.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_PLY(std::ostream&, const Surface_mesh<Point>&)` should be used instead.

## ◆ write_mesh()

template<typename K >

bool CGAL::write_mesh | ( | const Surface_mesh< K > & | mesh,
|  | const std::string & | filename
| ) |  |

`#include <CGAL/Surface_mesh/IO.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_polygon_mesh()` should be used instead.

## ◆ write_off() [1/2]

template<typename Point >

bool CGAL::write_off | ( | const Surface_mesh< Point > & | sm,
|  | const std::string & | filename
| ) |  |

`#include <CGAL/Surface_mesh/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF(std::ostream&, const Surface_mesh<Point>&)` should be used instead.

## ◆ write_off() [2/2]

template<typename Point , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_off | ( | std::ostream & | os,
|  | const Surface_mesh< Point > & | sm,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/Surface_mesh/IO/OFF.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF(std::ostream&, const Surface_mesh<Point>&)` should be used instead.

## ◆ write_ply()

template<typename P >

bool CGAL::write_ply | ( | std::ostream & | os,
|  | const Surface_mesh< P > & | sm,
|  | const std::string & | comments
| ) |  |

`#include <CGAL/Surface_mesh/IO/PLY.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_PLY(std::ostream&, const Surface_mesh<Point>&)` should be used instead.